Angular and Ionic Menustrip Menustrip for Angular and Ionic Framework

You are looking at v3 demos, switch to Mobiscroll 4?

Menustrip for Angular and Ionic Framework

light
dark

Change the theme setting here

Menustrip - Option menu

Change demo

Menustrip - Tab menu

Change demo
Tab menu
@Component({
    selector: 'demo-app',
    templateUrl: './app.component.html'
})
export class AppComponent {

    menustripSettings: any = {
        theme: ' ',
        themeVariant: ' ',
        lang: ' ',
        type: 'tabs',
        onItemTap: function (event, inst) {
            document.querySelector('.md-tabs-sel').classList.remove('md-tabs-sel');
            document.querySelector('.' + event.target.getAttribute('data-tab')).classList.add('md-tabs-sel');
        }
    }

    listviewSettings = {
        theme: ' ',
        themeVariant: ' ', 
        swipe: false
    };
}
<div class="md-ms-tabs">
    <mbsc-menustrip [options]="menustripSettings">
        <mbsc-menustrip-item data-tab="tab-downloaded" data-selected="true">Downloaded</mbsc-menustrip-item>
        <mbsc-menustrip-item data-tab="tab-all">All</mbsc-menustrip-item>
        <mbsc-menustrip-item data-tab="tab-external">External storage</mbsc-menustrip-item>
        <mbsc-menustrip-item data-tab="tab-running">Running</mbsc-menustrip-item>
        <mbsc-menustrip-item data-tab="tab-disabled">Disabled</mbsc-menustrip-item>
    </mbsc-menustrip>

    <div id="tab-downloaded" class="md-tab-h md-tabs-sel tab-downloaded">
        <mbsc-listview class="md-apps-ul" [options]="listviewSettings">
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-calendar"></span>Calendar<span class="md-app-detail"><span class="md-app-size">26.71MB</span><span class="md-app-date">19/11/2014</span></span>
            </mbsc-listview-item>
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-camera"></span>Camera<span class="md-app-detail"><span class="md-app-size">43.11MB</span><span class="md-app-date">10/11/2014</span></span>
            </mbsc-listview-item>
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-folder"></span>File Manager<span class="md-app-detail"><span class="md-app-size">12.66MB</span><span class="md-app-date">9/11/2014</span></span>
            </mbsc-listview-item>
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-earth"></span>Maps<span class="md-app-detail"><span class="md-app-size">46.21MB</span><span class="md-app-date">21/10/2014</span></span>
            </mbsc-listview-item>
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-newspaper"></span>News<span class="md-app-detail"><span class="md-app-size">24.00MB</span><span class="md-app-date">20/11/2014</span></span>
            </mbsc-listview-item>
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-play"></span>Youtube<span class="md-app-detail"><span class="md-app-size">26.47MB</span><span class="md-app-date">18/10/2014</span></span>
            </mbsc-listview-item>
        </mbsc-listview>
    </div>
    <div id="tab-external" class="md-tab-h tab-external">
        <mbsc-listview class="md-apps-ul" [options]="listviewSettings">
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-calendar"></span>Calendar<span class="md-app-detail"><span class="md-app-size">26.71MB</span><span class="md-app-date">09/09/2014</span></span>
            </mbsc-listview-item>
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-earth"></span>Maps<span class="md-app-detail"><span class="md-app-size">46.21MB</span><span class="md-app-date">19/08/2014</span></span>
            </mbsc-listview-item>
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-newspaper"></span>News<span class="md-app-detail"><span class="md-app-size">24.00MB</span><span class="md-app-date">17/11/2014</span></span>
            </mbsc-listview-item>
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-play"></span>Youtube<span class="md-app-detail"><span class="md-app-size">26.47MB</span><span class="md-app-date">16/11/2014</span></span>
            </mbsc-listview-item>
        </mbsc-listview>
    </div>
    <div id="tab-running" class="md-tab-h tab-running">
        <mbsc-listview class="md-apps-ul" [options]="listviewSettings">
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-clock"></span>Clock<span class="md-app-detail"><span class="md-app-size">1.52MB</span><span class="md-app-date">16/10/2014</span></span>
            </mbsc-listview-item>
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-folder"></span>File Manager<span class="md-app-detail"><span class="md-app-size">12.66MB</span><span class="md-app-date">10/11/2014</span></span>
            </mbsc-listview-item>
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-bubble"></span>Messages<span class="md-app-detail"><span class="md-app-size">25.57MB</span><span class="md-app-date">09/11/2014</span></span>
            </mbsc-listview-item>
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-newspaper"></span>News<span class="md-app-detail"><span class="md-app-size">24.00MB</span><span class="md-app-date">08/11/2014</span></span>
            </mbsc-listview-item>
        </mbsc-listview>
    </div>
    <div id="tab-all" class="md-tab-h tab-all">
        <mbsc-listview class="md-apps-ul" [options]="listviewSettings">
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-globe"></span>Browser<span class="md-app-detail"><span class="md-app-size">74.68MB</span><span class="md-app-date">18/11/2014</span></span>
            </mbsc-listview-item>
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-calendar"></span>Calendar<span class="md-app-detail"><span class="md-app-size">26.71MB</span><span class="md-app-date">17/11/2014</span></span>
            </mbsc-listview-item>
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-camera"></span>Camera<span class="md-app-detail"><span class="md-app-size">43.11MB</span><span class="md-app-date">19/10/2014</span></span>
            </mbsc-listview-item>
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-clock"></span>Clock<span class="md-app-detail"><span class="md-app-size">1.52MB</span><span class="md-app-date">10/10/2014</span></span>
            </mbsc-listview-item>
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-user4"></span>Contacts<span class="md-app-detail"><span class="md-app-size">5.43MB</span><span class="md-app-date">11/08/2014</span></span>
            </mbsc-listview-item>
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-copy3"></span>Docs<span class="md-app-detail"><span class="md-app-size">32.41MB</span><span class="md-app-date">19/11/2014</span></span>
            </mbsc-listview-item>
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-folder"></span>File Manager<span class="md-app-detail"><span class="md-app-size">12.66MB</span><span class="md-app-date">18/11/2014</span></span>
            </mbsc-listview-item>
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-image2"></span>Gallery<span class="md-app-detail"><span class="md-app-size">1.68MB</span><span class="md-app-date">17/11/2014</span></span>
            </mbsc-listview-item>
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-earth"></span>Maps<span class="md-app-detail"><span class="md-app-size">46.21MB</span><span class="md-app-date">18/11/2014</span></span>
            </mbsc-listview-item>
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-phone"></span>Phone<span class="md-app-detail"><span class="md-app-size">1.28MB</span><span class="md-app-date">19/11/2014</span></span>
            </mbsc-listview-item>
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-foundation-mail"></span>Email<span class="md-app-detail"><span class="md-app-size">6.65MB</span><span class="md-app-date">05/07/2014</span></span>
            </mbsc-listview-item>
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-bubble"></span>Messages<span class="md-app-detail"><span class="md-app-size">25.57MB</span><span class="md-app-date">06/06/2014</span></span>
            </mbsc-listview-item>
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-newspaper"></span>News<span class="md-app-detail"><span class="md-app-size">24.00MB</span><span class="md-app-date">20/10/2014</span></span>
            </mbsc-listview-item>
            <mbsc-listview-item><span class="md-app-ic mbsc-ic mbsc-ic-play"></span>Youtube<span class="md-app-detail"><span class="md-app-size">26.47MB</span><span class="md-app-date">18/11/2014</span></span>
            </mbsc-listview-item>
        </mbsc-listview>
    </div>

    <div id="tab-disabled" class="md-tab-h tab-disabled">
        <mbsc-listview class="md-apps-ul" [options]="listviewSettings">
            <mbsc-listview-item>
                <span class="md-app-ic mbsc-ic mbsc-ic-user4"></span>Contacts<span class="md-app-detail"><span class="md-app-size">26.71MB</span><span class="md-app-date">17/11/2014</span></span>
            </mbsc-listview-item>
        </mbsc-listview>
    </div>
</div>
.demo-main-cont.demo-comp-menustrip { padding: 0; min-height: 300px; }

.demo-main-cont.demo-comp-menustrip {
    padding: 0;
    min-height: 300px;
}

.md-ms-tabs .md-tab-h {
    display: none;
}

.md-ms-tabs .md-tabs-sel {
    display: block;
}

.md-ms-tabs .md-tabs-sel {
    display: block;
}

.md-app-ic {
    position: absolute;
    top: 50%;
    left: 15px;
    margin-top: -12px;
    font-size: 20px;
    line-height: 24px;
}

.md-app-detail {
    display: block;
    overflow: hidden;
}

.md-app-size {
    font-size: 10px;
    display: block;
    opacity: .6;
    float: left;
}

.md-app-date {
    font-size: 10px;
    display: block;
    opacity: .6;
    float: right;
}

.md-apps-ul .mbsc-lv-item {
    padding-left: 50px;
}
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    MbscModule,
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule,
    HttpClientJsonpModule
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }

Menustrip - Navigation

Change demo

Menustrip - Prev/Next

Change demo

Menustrip - Paging

Change demo
Paging
// Code not available for Angular

Menustrip - Cards

Change demo
Cards
// Code not available for Angular
<!-- Code not available for Angular -->
/* Code not available for Angular */
// Code not available for Angular

Menustrip - Scroll options

Change demo
Scroll options
// Code not available for Angular
<!-- Code not available for Angular -->
/* Code not available for Angular */
// Code not available for Angular

Menustrip - Badge

Change demo
Badge
// Code not available for Angular
<!-- Code not available for Angular -->
/* Code not available for Angular */
// Code not available for Angular

Menustrip - Show more

Change demo
Show more
// Code not available for Angular
<!-- Code not available for Angular -->
/* Code not available for Angular */
// Code not available for Angular

Menustrip - Event handlers

Change demo
Event handlers
Clear event log
EVENTS FIRED: 

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Introducing the next generation of Mobiscroll

The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.

We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.

Other highlights
  • Redesigned event calendar, scheduler with drag & drop
  • A new way of working with recurring events
  • Updated themes with dynamic dark mode
  • New date & time pickers
  • Range picker with advanced customization
  • Dynamic options with global updates
Read the full blogpost
Get in touch
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular 

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Need to update your password?
Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Demos
Theme Select
Mobiscroll
Mobiscroll Dark
Material
Material Dark
iOS
iOS Dark
Android Holo
Android Holo Light
jQuery Mobile
Windows Phone
Windows Phone Light
Language Locale
See other demos and change options
Theme
Locale
See other demos

React Menustrip Menustrip for React

You are looking at v3 demos, switch to Mobiscroll 4?

Menustrip for React

light
dark

Change the theme setting here

Menustrip - Option menu

Change demo
Option menu

Menustrip - Tab menu

Change demo
Tab menu
var ListItem = React.createClass({
    render: function() {
         return <li><span className={this.props.item.class}></span>{this.props.item.name}<span className="md-app-detail"><span className="md-app-size">{this.props.item.size}</span><span className="md-app-date">{this.props.item.date}</span></span></li>;
    }
});

var MenustripDemo = React.createClass({
    getInitialState: function() {
        return {
            downloaded: [{
                id: 1,
                class: "md-app-ic mbsc-ic mbsc-ic-calendar",
                name: "Calendar",
                size: "26.71MB",
                date: "19/11/2014"
            }, {
                id: 2,
                class: "md-app-ic mbsc-ic mbsc-ic-camera",
                name: "Camera",
                size: "43.11MB",
                date: "10/11/2014"
            }, {
                id: 3,
                class: "md-app-ic mbsc-ic mbsc-ic-folder",
                name: "File Manager",
                size: "12.66MB",
                date: "9/11/2014"
            }, {
                id: 4,
                class: "md-app-ic mbsc-ic mbsc-ic-earth",
                name: "Maps",
                size: "46.21MB",
                date: "21/10/2014"
            }, {
                id: 5,
                class: "md-app-ic mbsc-ic mbsc-ic-newspaper",
                name: "News",
                size: "24.00MB",
                date: "20/11/2014"
            }, {
                id: 6,
                class: "md-app-ic mbsc-ic mbsc-ic-play",
                name: "Youtube",
                size: "26.47MB",
                date: "18/10/2014"
            }],
            external: [{
                id: 1,
                class: "md-app-ic mbsc-ic mbsc-ic-calendar",
                name: "Calendar",
                size: "26.71MB",
                date: "09/09/2014"
            }, {
                id: 2,
                class: "md-app-ic mbsc-ic mbsc-ic-earth",
                name: "Maps",
                size: "46.21MB",
                date: "19/18/2014"
            }, {
                id: 3,
                class: "md-app-ic mbsc-ic mbsc-ic-newspaper",
                name: "News",
                size: "24.00MB",
                date: "17/11/2014"
            }, {
                id: 4,
                class: "md-app-ic mbsc-ic mbsc-ic-play",
                name: "Youtube",
                size: "26.47MB",
                date: "16/11/2014"
            }],
            running: [{
                id: 1,
                class: "md-app-ic mbsc-ic mbsc-ic-clock",
                name: "Clock",
                size: "1.52MB",
                date: "16/10/2014"
            }, {
                id: 2,
                class: "md-app-ic mbsc-ic mbsc-ic-folder",
                name: "File Manager",
                size: "12.66MB",
                date: "10/11/2014"
            }, {
                id: 3,
                class: "md-app-ic mbsc-ic mbsc-ic-bubble",
                name: "Messages",
                size: "46.21MB",
                date: "09/11/2014"
            }, {
                id: 4,
                class: "md-app-ic mbsc-ic mbsc-ic-newspaper",
                name: "News",
                size: "24.00MB",
                date: "08/11/2014"
            }],
            all: [{
                id: 1,
                class: "md-app-ic mbsc-ic mbsc-ic-globe",
                name: "Browser",
                size: "74.68MB",
                date: "18/11/2014"
            }, {
                id: 2,
                class: "md-app-ic mbsc-ic mbsc-ic-calendar",
                name: "Calendar",
                size: "26.71MB",
                date: "17/11/2014"
            }, {
                id: 3,
                class: "md-app-ic mbsc-ic mbsc-ic-camera",
                name: "Camera",
                size: "43.11MB",
                date: "10/11/2014"
            }, {
                id: 4,
                class: "md-app-ic mbsc-ic mbsc-ic-clock",
                name: "Clock",
                size: "1.52MB",
                date: "10/10/2014"
            }, {
                id: 5,
                class: "md-app-ic mbsc-ic mbsc-ic-user4",
                name: "Contacts",
                size: "5.43MB",
                date: "11/08/2014"
            }, {
                id: 6,
                class: "md-app-ic mbsc-ic mbsc-ic-copy3",
                name: "Docs",
                size: "32.41MB",
                date: "19/11/2014"
            }, {
                id: 7,
                class: "md-app-ic mbsc-ic mbsc-ic-folder",
                name: "File Manager",
                size: "12.66MB",
                date: "18/11/2014"
            }, {
                id: 8,
                class: "md-app-ic mbsc-ic mbsc-ic-image2",
                name: "Gallery",
                size: "1.68MB",
                date: "17/11/2014"
            }, {
                id: 9,
                class: "md-app-ic mbsc-ic mbsc-ic-earth",
                name: "Maps",
                size: "46.21MB",
                date: "18/11/2014"
            }, {
                id: 10,
                class: "md-app-ic mbsc-ic mbsc-ic-phone",
                name: "Phone",
                size: "1.28MB",
                date: "19/11/2014"
            }, {
                id: 11,
                class: "md-app-ic mbsc-ic mbsc-ic-foundation",
                name: "Email",
                size: "6.65MB",
                date: "05/07/2014"
            }, {
                id: 12,
                class: "md-app-ic mbsc-ic mbsc-ic-bubble",
                name: "Messages",
                size: "25.57MB",
                date: "06/06/2014"
            }, {
                id: 13,
                class: "md-app-ic mbsc-ic mbsc-ic-newspaper",
                name: "News",
                size: "24.00MB",
                date: "20/10/2014"
            }, {
                id: 14,
                class: "md-app-ic mbsc-ic mbsc-ic-play",
                name: "Youtube",
                size: "26.47MB",
                date: "18/11/2014"
            }],
            disabled: [{
                id: 1,
                class: "md-app-ic mbsc-ic mbsc-ic-user4",
                name: "Contacts",
                size: "5.43MB",
                date: "11/08/2014"
            }]
        };
    },
    render: function() {
        return (
            <div className="md-apps-ul md-ms-tabs">
                <mobiscroll.Menustrip
                    theme=" " 
                    themeVariant=" "
                    lang=" "
                    type="tabs"
                    onItemTap={function (event, inst) {
                        document.querySelector('.md-tabs-sel').classList.remove('md-tabs-sel');
                        document.getElementById(event.target.getAttribute('data-tab')).classList.add('md-tabs-sel');
                    }}
                >
                    <li data-tab="tab-downloaded" data-selected="true">Downloaded</li>
                    <li data-tab="tab-all">All</li>
                    <li data-tab="tab-external">External storage</li>
                    <li data-tab="tab-running">Running</li>
                    <li data-tab="tab-disabled">Disabled</li>
                </mobiscroll.Menustrip>

                <div id="tab-downloaded" className="md-tab-h md-tabs-sel">
                    <mobiscroll.Listview theme=" "  themeVariant=" " className="md-apps-ul" itemType={ListItem} data={this.state.downloaded} swipe={false} />
                </div>

                <div id="tab-external" className="md-tab-h">
                    <mobiscroll.Listview theme=" "  themeVariant=" " className="md-apps-ul" itemType={ListItem} data={this.state.external} swipe={false} />
                </div>

                <div id="tab-running" className="md-tab-h">
                    <mobiscroll.Listview theme=" "  themeVariant=" " className="md-apps-ul" itemType={ListItem} data={this.state.running} swipe={false} />
                </div>

                <div id="tab-all" className="md-tab-h">
                    <mobiscroll.Listview theme=" "  themeVariant=" " className="md-apps-ul" itemType={ListItem} data={this.state.all} swipe={false} />
                </div>

                <div id="tab-disabled" className="md-tab-h">
                    <mobiscroll.Listview theme=" "  themeVariant=" " className="md-apps-ul" itemType={ListItem} data={this.state.disabled} swipe={false} />
                </div>

            </div>
        );
    }
});

<div id="content"></div>
.demo-main-cont.demo-comp-menustrip { padding: 0; min-height: 300px; }

.demo-main-cont.demo-comp-menustrip {
    padding: 0;
    min-height: 300px;
}

.md-ms-tabs .md-tab-h {
    display: none;
}

.md-ms-tabs .md-tabs-sel {
    display: block;
}

.md-ms-tabs .md-tabs-sel {
    display: block;
}

.md-app-ic {
    position: absolute;
    top: 50%;
    left: 15px;
    margin-top: -12px;
    font-size: 20px;
    line-height: 24px;
}

.md-app-detail {
    display: block;
    overflow: hidden;
}

.md-app-size {
    font-size: 10px;
    display: block;
    opacity: .6;
    float: left;
}

.md-app-date {
    font-size: 10px;
    display: block;
    opacity: .6;
    float: right;
}

.md-apps-ul .mbsc-lv-item {
    padding-left: 50px;
}

Menustrip - Navigation

Change demo
Navigation

Menustrip - Prev/Next

Change demo
Prev/Next

Menustrip - Paging

Change demo

Menustrip - Cards

Change demo

Menustrip - Scroll options

Change demo
Scroll options

Menustrip - Badge

Change demo

Menustrip - Show more

Change demo
Show more

Menustrip - Event handlers

Change demo
Event handlers
Clear event log
EVENTS FIRED: 

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Introducing the next generation of Mobiscroll

The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.

We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.

Other highlights
  • Redesigned event calendar, scheduler with drag & drop
  • A new way of working with recurring events
  • Updated themes with dynamic dark mode
  • New date & time pickers
  • Range picker with advanced customization
  • Dynamic options with global updates
Read the full blogpost
Get in touch
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular 

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Need to update your password?
Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Demos
Theme Select
Mobiscroll
Mobiscroll Dark
Material
Material Dark
iOS
iOS Dark
Android Holo
Android Holo Light
jQuery Mobile
Windows Phone
Windows Phone Light
Language Locale
See other demos and change options
Theme
Locale
See other demos